Skip to content
SynupAPI
Get an API key
POSTapi.synup.com/api/v4/locations/review-campaigns

Create a review campaign

This API creates a review campaign to request customer reviews for a specific location.

Behavior:

  • Sends review requests to customers via supported channels (e.g., email, SMS).
  • Allows customization of campaign message and branding.
  • Supports targeting options, such as specific customer segments.
Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Body

NameTypeRequiredDescription
inputobjectrequired
input.locationIdstringrequiredEncoded Location ID
input.namestringrequiredReview Campaign Name
input.locationCustomersarray of objectrequiredCampaign customers to create
input.locationCustomers[].namestringrequired
input.locationCustomers[].emailstringoptional
input.locationCustomers[].phonestringoptional
input.screeningbooleanoptionalFlag for screening enabled/disabled
input.landingPageTemplateobjectoptionalLanding page template(Use only when screening = true).
input.landingPageTemplate.contentstringoptional
input.landingPageTemplate.headingstringoptional
input.landingPageTemplate.reviewSiteHasharray of objectoptional
input.landingPageTemplate.reviewSiteHash[].namestringoptional
input.landingPageTemplate.reviewSiteHash[].urlstringoptionalURL for connected sites (maps.google.com, facebook.com, foursquare.com) or custom sites
input.openingEmailTemplateobjectoptionalTemplate for the very first email sent out.
input.openingEmailTemplate.replyTostringoptional
input.openingEmailTemplate.subjectstringoptional
input.openingEmailTemplate.headingstringoptional
input.openingEmailTemplate.contentstringoptional
input.openingEmailTemplate.reviewSiteHasharray of objectoptionalNot required when screening is true
input.openingEmailTemplate.reviewSiteHash[].namestringoptional
input.openingEmailTemplate.reviewSiteHash[].urlstringoptionalURL for connected sites (maps.google.com, facebook.com, foursquare.com) or custom sites
input.smsTemplateobjectoptionalTemplate for the very first SMS sent out.
input.smsTemplate.contentstringoptional
input.smsTemplate.reviewSiteHasharray of objectoptionalMax 1 for smsTemplate Not required when screening is true
input.smsTemplate.reviewSiteHash[].namestringoptional
input.smsTemplate.reviewSiteHash[].urlstringoptionalURL for connected sites (maps.google.com, facebook.com, foursquare.com) or custom sites

Request

Request
curl -X POST 'https://api.synup.com/api/v4/locations/review-campaigns' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "input": {
    "locationId": "TG9jYXRpb246MTQwMjQ=",
    "name": "Christmas Sale Feedback",
    "locationCustomers": [
      {
        "name": "John",
        "email": "xyz@gmail.com",
        "phone": "3863443131"
      }
    ],
    "screening": true,
    "landingPageTemplate": {
      "content": "Please take a moment to review your experience with us on one of these review sites.",
      "heading": "Thank you. We are glad to hear that you had a great experience with us.",
      "reviewSiteHash": [
        {
          "name": "Google",
          "url": "maps.google.com"
        },
        {
          "name": "Yelp",
          "url": "www.yelp.com/biz"
        }
      ]
    },
    "openingEmailTemplate": {
      "replyTo": "user@domain.com",
      "subject": "Tell us how we did",
      "heading": "ASD is committed to providing the best experience and service possible!",
      "content": "Please take 5 minutes to share some feedback on your experience!"
    },
    "smsTemplate": {
      "content": "Hi, Thank you for visiting ASD. Can you take a few seconds to review your experience with us? {{short_url}}"
    }
  }
}'

Responses

StatusDescription
200Successfully created review campaign
403Insufficient permissions to create campaigns
Example response (generated from the schema)
{}